[PATCH 09/11] hornet: scripts: set a non-zero error code for usage
Blaise Boscaccy
bboscaccy at linux.microsoft.com
Thu May 28 03:08:18 UTC 2026
It was possible that build scripts may continue if arguments were
missing.
Signed-off-by: Blaise Boscaccy <bboscaccy at linux.microsoft.com>
---
scripts/hornet/extract-insn.sh | 10 +++++-----
scripts/hornet/extract-map.sh | 10 +++++-----
scripts/hornet/extract-skel.sh | 10 +++++-----
scripts/hornet/write-sig.sh | 10 +++++-----
4 files changed, 20 insertions(+), 20 deletions(-)
diff --git a/scripts/hornet/extract-insn.sh b/scripts/hornet/extract-insn.sh
index 52338f057ff6b..e136932275aa5 100755
--- a/scripts/hornet/extract-insn.sh
+++ b/scripts/hornet/extract-insn.sh
@@ -8,11 +8,11 @@
# License as published by the Free Software Foundation.
function usage() {
- echo "Sample script for extracting instructions"
- echo "autogenerated eBPF lskel headers"
- echo ""
- echo "USAGE: header_file"
- exit
+ echo "Sample script for extracting instructions" >&2
+ echo "autogenerated eBPF lskel headers" >&2
+ echo "" >&2
+ echo "USAGE: header_file" >&2
+ exit 1
}
ARGC=$#
diff --git a/scripts/hornet/extract-map.sh b/scripts/hornet/extract-map.sh
index c309f505c6238..058ac1b32d743 100755
--- a/scripts/hornet/extract-map.sh
+++ b/scripts/hornet/extract-map.sh
@@ -8,11 +8,11 @@
# License as published by the Free Software Foundation.
function usage() {
- echo "Sample script for extracting instructions"
- echo "autogenerated eBPF lskel headers"
- echo ""
- echo "USAGE: header_file"
- exit
+ echo "Sample script for extracting instructions" >&2
+ echo "autogenerated eBPF lskel headers" >&2
+ echo "" >&2
+ echo "USAGE: header_file" >&2
+ exit 1
}
ARGC=$#
diff --git a/scripts/hornet/extract-skel.sh b/scripts/hornet/extract-skel.sh
index 6550a86b89917..abc435e2bcd4e 100755
--- a/scripts/hornet/extract-skel.sh
+++ b/scripts/hornet/extract-skel.sh
@@ -8,11 +8,11 @@
# License as published by the Free Software Foundation.
function usage() {
- echo "Sample script for extracting instructions and map data out of"
- echo "autogenerated eBPF lskel headers"
- echo ""
- echo "USAGE: header_file field"
- exit
+ echo "Sample script for extracting instructions and map data out of" >&2
+ echo "autogenerated eBPF lskel headers" >&2
+ echo "" >&2
+ echo "USAGE: header_file field" >&2
+ exit 1
}
ARGC=$#
diff --git a/scripts/hornet/write-sig.sh b/scripts/hornet/write-sig.sh
index 7eaabe3bab9aa..ad2b65761c282 100755
--- a/scripts/hornet/write-sig.sh
+++ b/scripts/hornet/write-sig.sh
@@ -8,11 +8,11 @@
# License as published by the Free Software Foundation.
function usage() {
- echo "Sample for rewriting an autogenerated eBPF lskel headers"
- echo "with a new signature"
- echo ""
- echo "USAGE: header_file sig"
- exit
+ echo "Sample for rewriting an autogenerated eBPF lskel headers" >&2
+ echo "with a new signature" >&2
+ echo "" >&2
+ echo "USAGE: header_file sig" >&2
+ exit 1
}
ARGC=$#
--
2.53.0
More information about the Linux-security-module-archive
mailing list